# Get Wire

Endpoint: GET /api/v1/wires/{wire_id}/
Version: Version: 342303b7
Security: CodeBearer

## Path parameters:

  - `wire_id` (string, required)

## Response 200 fields (application/json):

  - `body` (any) — one of (discriminator: direction):
    - INCOMING:
      - `id` (string, required)
      - `status` (string, required)
        The status of the wire transfer: PENDING, SUCCESS, or REJECTED.
        Enum: "PENDING", "SUCCESS", "REJECTED"
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `pocket_id` (string, required)
        Also known as jiko_account_id
      - `time_created` (string, required)
      - `direction` (string)
      - `object_type` (string, required)
    - OUTGOING:
      - `id` (string, required)
      - `status` (string, required)
        The status of the wire transfer: PENDING, SUCCESS, or REJECTED.
        Enum: same as `status` in "INCOMING" (3 values)
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `pocket_id` (string, required)
        Also known as jiko_account_id
      - `time_created` (string, required)
      - `direction` (string)
      - `counterparty_id` (any)
        The ID of the counterparty for this wire transfer.
      - `object_type` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


## Response 404 fields
